# winico.rb

Path: | tk/lib/tkextlib/winico/winico.rb
Last Update: | Mon Oct 24 20:15:37 AUS Eastern Standard Time 2005

tkextlib/winico/winico.rb

                                 by Hidetoshi NAGAI (nagai@ai.kyutech.ac.jp)

### Required files

tk tkextlib/setup.rb tkextlib/winico/setup.rb winico winico

### Methods

add_to_taskbar delete_from_taskbar modify_taskbar taskbar_add taskbar_delete taskbar_modify

### Public Instance methods

add_to_taskbar(keys = {})

[Source]

    # File tk/lib/tkextlib/winico/winico.rb, line 152
      def add_to_taskbar(keys = {})
        keys = _symbolkey2str(keys)
        Winico_callback._config_keys.each{|k|
          if keys[k].kind_of?(Array)
            cmd, *args = keys[k]
            keys[k] = Winico_callback.new(cmd, args.join(' '))
           # elsif keys[k].kind_of?(Proc)
          elsif TkComm._callback_entry?(keys[k])
            keys[k] = Winico_callback.new(keys[k])
          end
        }
        tk_call('winico', 'taskbar', 'add', @id, *(hash_kv(keys)))
        self
      end

delete_from_taskbar()

[Source]

    # File tk/lib/tkextlib/winico/winico.rb, line 184
      def delete_from_taskbar
        tk_call('winico', 'taskbar', 'delete', @id)
        self
      end

modify_taskbar(keys = {})

[Source]

    # File tk/lib/tkextlib/winico/winico.rb, line 168
      def modify_taskbar(keys = {})
        keys = _symbolkey2str(keys)
        Winico_callback._config_keys.each{|k|
          if keys[k].kind_of?(Array)
            cmd, *args = keys[k]
            keys[k] = Winico_callback.new(cmd, args.join(' '))
          # elsif keys[k].kind_of?(Proc)
          elsif TkComm._callback_entry?(keys[k])
            keys[k] = Winico_callback.new(keys[k])
          end
        }
        tk_call('winico', 'taskbar', 'modify', @id, *(hash_kv(keys)))
        self
      end

taskbar_add(keys = {})

Alias for add_to_taskbar

taskbar_delete()

Alias for delete_from_taskbar

taskbar_modify(keys = {})

Alias for modify_taskbar

[Validate]